Orq MCP is live: Use natural language to interrogate traces, spot regressions, and experiment your way to optimal AI configurations. Available in Claude Desktop, Claude Code, Cursor, and more. Start now →
Generates audio from the input text.
curl --request POST \
--url https://api.orq.ai/v2/router/audio/speech \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": "<string>",
"model": "<string>",
"voice": "<string>",
"response_format": "mp3",
"speed": 1,
"name": "<string>",
"fallbacks": [
{
"model": "<string>"
}
],
"retry": {
"count": 3,
"on_codes": [
429,
500,
502,
503,
504
]
},
"orq": {
"retry": {
"count": 3,
"on_codes": [
429,
500,
502,
503,
504
]
},
"fallbacks": [
{
"model": "openai/gpt-4o-mini"
}
],
"name": "<string>",
"load_balancer": {
"type": "weight_based",
"models": [
{
"model": "openai/gpt-4o",
"weight": 0.7
},
{
"model": "anthropic/claude-3-5-sonnet",
"weight": 0.3
}
]
}
}
}
'Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
input
The text to generate audio for. The maximum length is 4096 characters
ID of the model to use
The voice to use.
Available voices for OpenAI
alloy, echo, fable, onyx, nova, and shimmer
Available voices for ElevenLabs
aria, roger, sarah, laura, charlie, george, callum, river, liam, charlotte, alice, matilda, will, jessica, eric, chris, brian, daniel, lily, bill
The format to audio in. Supported formats are mp3, opus, aac, flac, wav, and pcm. If a format is provided but not supported by the provider, the response will be in the default format. When the provided format is not supported by the provider, the response will be in the default format.
mp3, opus, aac, flac, wav, pcm The speed of the generated audio.
The name to display on the trace. If not specified, the default system name will be used.
Array of fallback models to use if primary model fails
Show child attributes
Retry configuration for the request
Show child attributes
Load balancer configuration for the request.
Show child attributes
Timeout configuration to apply to the request. If the request exceeds the timeout, it will be retried or fallback to the next model if configured.
Show child attributes
Show child attributes
The audio file content.
Was this page helpful?
curl --request POST \
--url https://api.orq.ai/v2/router/audio/speech \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": "<string>",
"model": "<string>",
"voice": "<string>",
"response_format": "mp3",
"speed": 1,
"name": "<string>",
"fallbacks": [
{
"model": "<string>"
}
],
"retry": {
"count": 3,
"on_codes": [
429,
500,
502,
503,
504
]
},
"orq": {
"retry": {
"count": 3,
"on_codes": [
429,
500,
502,
503,
504
]
},
"fallbacks": [
{
"model": "openai/gpt-4o-mini"
}
],
"name": "<string>",
"load_balancer": {
"type": "weight_based",
"models": [
{
"model": "openai/gpt-4o",
"weight": 0.7
},
{
"model": "anthropic/claude-3-5-sonnet",
"weight": 0.3
}
]
}
}
}
'